body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    background: #000;
    letter-spacing: 6px;
    font-size: 24px;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    border-radius: 60px;
    border:4px solid#000;
    box-shadow: inset 0 0 30px rgba(0, 0, 0, 1);
    overflow: hidden;
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 10px;
    width: 70%;
    height: 100%;
    background: rgba(255, 255, 255, .1);
    transition: .5s;
    transform: skewX(-15deg);
}
a:hover:before{
    left: 210px;
}
a:after{
    content: '';
    position: absolute;
    top: 0;
    left: -70px;
    width: 50px;
    height: 100%;
    background: rgba(255, 255, 255, .1);
    transition: .5s;
    transform: skewX(-15deg);
    transition-delay: .3s;
}
a:hover:after{
    left: 210px;
}